const socials = [{
        name: 'Twitter',
        link: 'https://twitter.com/Ellpeck'
    },
    {
        name: 'Twitch',
        link: 'http://twitch.tv/ellpeck'
    },
    {
        name: 'GitHub',
        link: 'https://github.com/Ellpeck/',
        darkIcon: true
    },
    {
        name: 'Gitea',
        link: 'https://git.ellpeck.de/Ellpeck'
    },
    {
        name: "itch.io",
        link: "https://ellpeck.itch.io/",
        darkIcon: true
    },
    {
        name: 'YouTube',
        link: 'https://www.youtube.com/c/ellpeck'
    },
    {
        name: 'Instagram',
        link: 'https://instagram.com/Ellopecko'
    },
    {
        name: 'Email',
        link: 'mailto:me@ellpeck.de',
        darkIcon: true
    }
];

let s = '';
for (let social of socials) {
    let icon = social.name.toLowerCase();
    if (dark && social.darkIcon)
        icon += '_dark';
    s += /*html*/ `
        <a class="btn ${dark ? "btn-dark" : "btn-light"} social-button rounded-0" href="${social.link}"">
            <img class="social-image" src="res/social/${icon}.png" alt=""> ${social.name}
        </a>
    `;
}
$('#social-list').html(s);

let disc = $("#discord-div");
let theme = dark ? "dark" : "light";
disc.html( /*html*/ `
    <iframe id="discord-widget" title="Ellpeck's Discord server" src="https://discordapp.com/widget?id=181435613147430913&theme=${theme}" width="300" height="450" allowtransparency="true" frameborder="0"></iframe>
`);